Loading...
Searching...
No Matches
BALL::MutablePower< Function, DataType > Class Template Reference

`#include <BALL/MATHS/function.h>`

## Public Member Functions

Constructors and destructor
| MutablePower ()
| MutablePower (const MutablePower &power)
virtual | ~MutablePower ()
Assignment
MutablePower< Function, DataType > & | operator= (const MutablePower< Function, DataType > &power)
Predicates
bool | operator== (const MutablePower< Function, DataType > &power) const
Function realization
BALL_INLINE DataType | operator() (const DataType &x) const

## Accessors

Function | function_
DataType | exponent_
void | setFunction (const Function &function)
const Function & | getFunction () const
void | setExponent (DataType exp)
DataType | getExponent () const

## Detailed Description

template<typename Function, typename DataType = float>
class BALL::MutablePower< Function, DataType >

MutablePower class.

Definition at line 884 of file function.h.

## Constructor & Destructor Documentation

## MutablePower() [1/2]

template<typename Function, typename DataType>

BALL_INLINE BALL::MutablePower< Function, DataType >::MutablePower | ( |  | ) |

Default constructor

Definition at line 1295 of file function.h.

## MutablePower() [2/2]

template<typename Function, typename DataType>

BALL_INLINE BALL::MutablePower< Function, DataType >::MutablePower | ( | const MutablePower< Function, DataType > & | power | ) |

Copy constructor

Definition at line 1303 of file function.h.

## ~MutablePower()

template<typename Function, typename DataType>

BALL_INLINE BALL::MutablePower< Function, DataType >::~MutablePower | ( |  | ) |

virtual

Destructor

Definition at line 1311 of file function.h.

## Member Function Documentation

## getExponent()

template<typename Function, typename DataType>

BALL_INLINE DataType BALL::MutablePower< Function, DataType >::getExponent | ( |  | ) | const

get the exponent of the power function

Returns
  the exponent of this

Definition at line 1334 of file function.h.

## getFunction()

template<typename Function, typename DataType = float>

const Function & BALL::MutablePower< Function, DataType >::getFunction | ( |  | ) | const

inline

get the function argument of the power

Returns
  a const reference to the function argument

Definition at line 954 of file function.h.

## operator()()

template<typename Function, typename DataType = float>

BALL_INLINE DataType BALL::MutablePower< Function, DataType >::operator() | ( | const DataType & | x | ) | const

inline

Evaluation of this subterm

Parameters

  x | the point where to evaluate

Returns
  the function value

Definition at line 934 of file function.h.

## operator=()

template<typename Function, typename DataType>

BALL_INLINE MutablePower< Function, DataType > & BALL::MutablePower< Function, DataType >::operator= | ( | const MutablePower< Function, DataType > & | power | ) |

Assignment operator

Definition at line 1317 of file function.h.

## operator==()

template<typename Function, typename DataType>

BALL_INLINE bool BALL::MutablePower< Function, DataType >::operator== | ( | const MutablePower< Function, DataType > & | power | ) | const

Equality operator

Definition at line 1326 of file function.h.

## setExponent()

template<typename Function, typename DataType>

BALL_INLINE void BALL::MutablePower< Function, DataType >::setExponent | ( | DataType | exp | ) |

set the exponent of the power function

Parameters

  exp | the exponent

Definition at line 1341 of file function.h.

## setFunction()

template<typename Function, typename DataType = float>

void BALL::MutablePower< Function, DataType >::setFunction | ( | const Function & | function | ) |

inline

set the function argument of the power

Definition at line 946 of file function.h.

## Member Data Documentation

## exponent_

template<typename Function, typename DataType = float>

DataType BALL::MutablePower< Function, DataType >::exponent_

protected

Definition at line 979 of file function.h.

## function_

template<typename Function, typename DataType = float>

Function BALL::MutablePower< Function, DataType >::function_

protected

Definition at line 975 of file function.h.